Loading...
Searching...
No Matches
swap.hpp File Reference

## Typedefs

template<typename T >
using | ranges::is_nothrow_swappable = concepts::is_nothrow_swappable< T >
template<typename T , typename U >
using | ranges::is_nothrow_swappable_with = concepts::is_nothrow_swappable_with< T, U >
template<typename T >
using | ranges::is_swappable = concepts::is_swappable< T >
template<typename T , typename U >
using | ranges::is_swappable_with = concepts::is_swappable_with< T, U >

## Variables

constexpr uncvref_t< decltype(concepts::swap)> | swap {}